> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscriptions By Donor

> Returns all subscriptions for the specified donor.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json get /api/v3/subscriptions/{donorId}
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/subscriptions/{donorId}:
    get:
      tags:
        - Subscriptions
      summary: Get Subscriptions By Donor
      description: Returns all subscriptions for the specified donor.
      operationId: OpenApiSubscriptionsController_getSubscriptionsByDonorProfile
      parameters:
        - name: donorId
          required: true
          in: path
          schema:
            $ref: '#/components/schemas/NonprofitDonorProfileEntity'
        - name: limit
          required: false
          in: query
          description: The number of subscriptions to return.
          schema:
            minimum: 1
            maximum: 100
            default: 25
            type: number
        - name: maximumUpdatedDate
          required: false
          in: query
          description: The maximum updated date of the subscriptions to return.
          schema:
            format: date-time
            example: '2025-02-01'
            type: string
        - name: minimumUpdatedDate
          required: false
          in: query
          description: The minimum updated date of the subscriptions to return.
          schema:
            format: date-time
            example: '2025-01-01'
            type: string
        - name: page
          required: false
          in: query
          description: The page number of the subscriptions to return.
          schema:
            minimum: 1
            default: 1
            type: number
        - name: status
          required: false
          in: query
          description: The status of the subscriptions to return.
          schema:
            example:
              - active
            type: array
            items:
              type: string
              enum:
                - active
                - failed
                - inactive
                - paused
                - pending
                - recreated
        - name: locationIds
          required: false
          in: query
          description: Filter subscriptions by location Ids.
          schema:
            example:
              - 6710f34fd5061afeec3eab57
            type: array
            items:
              type: string
        - name: sortBy
          required: false
          in: query
          description: The field to sort the subscriptions by.
          schema:
            default: createdAt
            example: createdAt
            enum:
              - amount
              - createdAt
              - frequency
              - nextContributionAt
            type: string
        - name: sortDirection
          required: false
          in: query
          description: The direction to sort the subscriptions by.
          schema:
            default: DESC
            example: DESC
            enum:
              - ASC
              - DESC
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubscriptionsResponse'
        '400':
          description: Donor does not belong to the nonprofit
        '404':
          description: Donor profile does not exist
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    NonprofitDonorProfileEntity:
      type: object
      properties: {}
    GetSubscriptionsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Subscription Id.
                example: 6710f34fd5061afeec3eab57
              donorId:
                type: string
                description: Id of the Donor Profile.
                example: 6710f34fd5061afeec3eab57
              createdAt:
                type: string
                format: date-time
                description: Subscription created at.
                example: '2025-01-01T00:00:00.000Z'
              updatedAt:
                type: string
                format: date-time
                description: Subscription updated at.
                example: '2025-01-01T00:00:00.000Z'
              startDate:
                type: string
                format: date-time
                description: Subscription start date.
                example: '2025-01-01T00:00:00.000Z'
              status:
                type: string
                enum:
                  - active
                  - failed
                  - inactive
                  - paused
                  - pending
                  - recreated
                description: Subscription status.
                example: active
              amount:
                type: number
                description: Subscription amount.
                example: 50
              donorCoveredFees:
                default: false
                type: boolean
                description: Whether the donor is covering fees.
                example: false
              anonymous:
                type: boolean
                description: Whether the donor wants the subscription to be anonymous.
                example: false
              frequency:
                type: string
                enum:
                  - biweekly
                  - monthly
                  - weekly
                description: Subscription frequency.
                example: weekly
              nextPaymentDate:
                type: string
                format: date-time
                nullable: true
                description: Subscription next payment date.
                example: '2025-01-01T00:00:00.000Z'
              paymentMethod:
                type: object
                properties:
                  id:
                    type: string
                  holderName:
                    type: string
                  type:
                    type: string
                    enum:
                      - bank
                      - card
                      - wallet
                  last4:
                    type: string
                  expiration:
                    type: string
                required:
                  - id
                  - type
                  - last4
                  - expiration
                description: Subscription payment method.
                example:
                  id: 6710f34fd5061afeec3eab57
                  holderName: John Doe
                  type: card
                  last4: '4242'
                  expiration: 12/2025
              campaign:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                required:
                  - id
                  - name
                nullable: true
                description: Campaign details for the contribution
                example:
                  id: 7710f34fd5061afeec3eab78
                  name: Mission 2025
              subcampaign:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                required:
                  - id
                  - name
                nullable: true
                description: Subcampaign details for the contribution
                example:
                  id: 7710f34fd5061afeec3eab79
                  name: Toy Drive
              metadata:
                type: object
                additionalProperties:
                  type: string
                nullable: true
                description: Merchant-defined metadata.
                example:
                  orderId: abc-123
              locationId:
                type: string
                nullable: true
                description: Id of the Location associated with the subscription.
                example: 6710f34fd5061afeec3eab57
            required:
              - id
              - donorId
              - createdAt
              - updatedAt
              - startDate
              - status
              - amount
              - anonymous
              - frequency
              - nextPaymentDate
              - paymentMethod
              - campaign
              - subcampaign
          description: List of subscriptions.
        totalCount:
          type: number
          description: Total number of subscriptions matching the filters.
          example: 100
      required:
        - data
        - totalCount
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````